levelshots/UJE_battersea_cc_automap
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/UJE_battersea_cc.tga
        depthFunc equal
        rgbGen identity
    }
}

levelshots/UJE_battersea_cc_trans
{
    nopicmip
    nocompress
    nomipmaps
    {
        clampmap levelshots/UJE_battersea_cc.tga
        blendfunc blend
        rgbGen identity
        alphaGen vertex
    }
}
//UJE_sky
textures/UJE_battersea/icesky
{
  	nocompress
  	qer_editorimage textures/UJE_battersea/icesky/sky_ft.tga
	q3map_lightrgb 1.000000 0.741176 0.635294
  	q3map_globaltexture
  	q3map_lightimage textures/skies/n_blue2.tga
  	q3map_sunExt 1 1 1 100 330 50
  	q3map_lightmapFilterRadius 0 15 
  	q3map_skyLight 50 3
  	skyparms textures/UJE_battersea/icesky/sky 512 -
  	surfaceparm noimpact
  	surfaceparm nomarks
  	surfaceparm nolightmap
}
textures/UJE_battersea/sign_black

{
	qer_editorimage textures/UJE_battersea/sign_black.jpg
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks

	polygonOffset
	sort decal

	{
		map textures/UJE_battersea/sign_black.jpg
     		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbGen identity
	}
}
textures/UJE_battersea/objective_gates
{
	nopicmip
	nocompress
	{
		map textures/UJE_battersea/gates.tga
		blendfunc blend
		rgbGen Vertex
	}
}
textures/UJE_battersea/objective_ac
{
	nopicmip
	nocompress
	{
		map textures/UJE_battersea/ac.tga
		blendfunc blend
		rgbGen Vertex
	}
}
textures/UJE_battersea/uje_charge_trans
{
	qer_editorimage textures/common/dirtymirror.tga
	surfaceparm trans
	surfaceparm pointlight
	cull disable
	{
		map textures/UJE_battersea/b.tga
		blendfunc blend
		rgbGen wave sin 0 1 0 0.5 
		tcGen environment 
	}
	{
		map textures/UJE_battersea/r.tga
		blendfunc blend
		rgbGen wave sin 0 1 0 0.1 
		tcGen environment 
	}
	{
		map textures/UJE_battersea/g.tga
		blendfunc blend
		rgbGen wave sin 0 1 0 0.05 
		tcGen environment 
	}
}

textures/UJE_battersea/rockX
{
	qer_editorimage textures/stone/mxrock3_a.tga
	q3map_tcGen ivector ( 0 256 0 ) ( 0 0 256 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
//	q3map_lightmapMergable
	{
		// Primary 1
		map textures/stone/mxrock3_a.tga
		tcMod scale 0.5 0.5
		rgbGen identity
	}
	{
		// Secondary
		map textures/UJE_battersea/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/UJE_battersea/rockY
{
	qer_editorimage textures/stone/mxrock3_a.tga
	q3map_tcGen ivector ( 0 0 256 ) ( 256 0 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )

	{
		// Primary 1
		map textures/stone/mxrock3_a.tga
		tcMod scale 0.5 0.5
		rgbGen identity
	}
	{
		// Secondary
		map textures/UJE_battersea/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}


//terrain
textures/UJE_battersea/road
{
	qer_editorimage textures/UJE_battersea/floor_c04c.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
      	surfaceparm landmine

	{
		// Primary 1
		map textures/UJE_battersea/floor_c04c.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/UJE_battersea/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/UJE_battersea/gravel
{
	qer_editorimage textures/desert_sd/road_dirty_gravel.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm gravelsteps
      	surfaceparm landmine
	{
		// Primary 1
		map textures/desert_sd/road_dirty_gravel.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/UJE_battersea/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/UJE_battersea/grass
{
	qer_editorimage textures/temperate_sd/grass_path1.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonplanar
	q3map_shadeangle 110
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.6 )
	surfaceparm grasssteps
      	surfaceparm landmine
	{
		// Primary 1
		map textures/temperate_sd/grass_path1.tga
		tcMod scale 0.5 0.5
		rgbGen identity
	}
	{
		// Secondary
		map textures/UJE_battersea/grass_ml03cmp.tga
		blendFunc blend
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}
textures/UJE_battersea/tree1_dark	//single tree made by RayBan (raybanb@gmail.com) //edited by kemon
{
	qer_alphaFunc gequal 0.5
	deformvertexes autosprite2
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}

textures/UJE_battersea/tree1_med		//single tree made by RayBan (raybanb@gmail.com) //edited by kemon
{
	qer_alphaFunc gequal 0.5
	deformvertexes autosprite2
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}
models/mapobjects/green_trees/leaves
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/green_trees/leaves.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	deformVertexes wave 10 sin 0 1 0 0.3	//waving effect, bad for performance
	implicitMask -
}

models/mapobjects/green_trees/leaves_nowave
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/green_trees/leaves.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	implicitMask models/mapobjects/green_trees/leaves.tga
}

models/mapobjects/green_trees/trunk
{
	q3map_shadeangle 120 
	nopicmip
	surfaceparm woodsteps
	surfaceparm nomarks
	qer_editorimage models/mapobjects/green_trees/trunk.tga
	implicitmask -
}
textures/UJE_battersea/tree1_light	//single tree made by RayBan (raybanb@gmail.com) //edited by kemon
{
	qer_alphaFunc gequal 0.5
	deformvertexes autosprite2
	cull disable
	nomipmaps
	nopicmip
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	implicitMask -
}
textures/UJE_battersea/alpha_000
{
        qer_editorimage textures/UJE_battersea/qer_alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_battersea/alpha_050
{
        qer_editorimage textures/UJE_battersea/qer_alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/UJE_battersea/alpha_100
{
        qer_editorimage textures/UJE_battersea/qer_alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}
textures/UJE_battersea/water
{
	qer_editorimage textures/UJE_battersea/water_bright.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm water
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_alphaGen const 0.75
	cull none
	{ 
		//Primary 1
		map textures/UJE_battersea/water_bright.tga
		blendFunc blend
		alphaGen vertex //const 0.75
		rgbGen identity
		tcmod turb 0 0.02 0 0.30
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		//Secondary
		map textures/UJE_battersea/water_dark.tga
		blendFunc blend
		alphaGen vertex
		// rgbgen wave sin 0.5 0.1 0.6 0.3
		rgbGen identity
		tcmod turb 0 0.02 0 0.30    
		tcmod scroll 0.085 0
		depthwrite
	}
	{
		map textures/UJE_battersea/water_overlay.tga
		blendfunc gl_src_alpha gl_one
		alphagen oneminusvertex
		rgbgen wave sin 0.5 0.1 0.6 0.3
		tcmod turb 0 0.02 0 0.30 
		tcmod scroll 0 0.085
		// depthwrite
	}
	{
		map $lightmap
		blendFunc filter
		// depthwrite
		rgbGen identity
	}
}
textures/lights/light_c06
{
	qer_editorimage textures/lights/light_c06.tga
	q3map_lightimage textures/lights/light_c06.blend.tga
	q3map_surfacelight 2500
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_c06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_c06.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/UJE_battersea/uje_num_0
{
	qer_editorimage textures/UJE_battersea/uje_num_0.tga
	
	{
		map textures/UJE_battersea/uje_num_0.tga
		blendfunc add
		rgbGen const ( 1 0 0 )
	}
}

textures/UJE_battersea/uje_num_1
{
	qer_editorimage textures/UJE_battersea/uje_num_1.tga
	
	{
		map textures/UJE_battersea/uje_num_1.tga
		blendfunc add
		rgbGen const ( 1 0 0 )
	}
}
textures/UJE_battersea/uje_num_2
{
	qer_editorimage textures/UJE_battersea/uje_num_2.tga
	
	{
		map textures/UJE_battersea/uje_num_2.tga
		blendfunc add
		rgbGen const ( 1 0 0 )
	}
}

textures/UJE_battersea/uje_num_3
{
	qer_editorimage textures/UJE_battersea/uje_num_3.tga
	
	{
		map textures/UJE_battersea/uje_num_3.tga
		blendfunc add
		rgbGen const ( 1 0 0 )
	}
}
textures/UJE_battersea/uje_num_4
{
	qer_editorimage textures/UJE_battersea/uje_num_4.tga
	
	{
		map textures/UJE_battersea/uje_num_4.tga
		blendfunc add
		rgbGen const ( 1 0 0 )
	}
}

textures/UJE_battersea/uje_num_5
{
	qer_editorimage textures/UJE_battersea/uje_num_5.tga
	
	{
		map textures/UJE_battersea/uje_num_5.tga
		blendfunc add
		rgbGen const ( 1 0 0 )
	}
}
textures/UJE_battersea/uje_num_6
{
	qer_editorimage textures/UJE_battersea/uje_num_6.tga
	
	{
		map textures/UJE_battersea/uje_num_6.tga
		blendfunc add
		rgbGen const ( 1 0 0 )
	}
}

textures/UJE_battersea/uje_num_7
{
	qer_editorimage textures/UJE_battersea/uje_num_7.tga
	
	{
		map textures/UJE_battersea/uje_num_7.tga
		blendfunc add
		rgbGen const ( 1 0 0 )
	}
}
textures/UJE_battersea/uje_num_8
{
	qer_editorimage textures/UJE_battersea/uje_num_8.tga
	
	{
		map textures/UJE_battersea/uje_num_8.tga
		blendfunc add
		rgbGen const ( 1 0 0 )
	}
}

textures/UJE_battersea/uje_num_9
{
	qer_editorimage textures/UJE_battersea/uje_num_9.tga
	
	{
		map textures/UJE_battersea/uje_num_9.tga
		blendfunc add
		rgbGen const ( 1 0 0 )
	}
}
textures/UJE_battersea/uje_num_c
{
	qer_editorimage textures/UJE_battersea/uje_num_c.tga
	
	{
		map textures/UJE_battersea/uje_num_c.tga
		blendfunc add
		rgbGen const ( 1 0 0 )
	}
}

textures/UJE_battersea/uje_num_e
{
	qer_editorimage textures/UJE_battersea/uje_num_e.tga
	
	{
		map textures/UJE_battersea/uje_num_e.tga
		blendfunc add
		rgbGen const ( 1 0 0 )
	}
}
textures/UJE_battersea/objective_dc
{
	nopicmip
	nocompress
	{
		map textures/UJE_xmas_warehouse/charge.tga
		blendfunc blend
		rgbGen Vertex
	}
}